//职位选择可以多选和单选。
//开始时：
//  先把职位结构保存在数组中
//  结构为：PositionArr(职位1,职位2,...)
////////////////////////////////////////////////////////////////////
//PositionSelectedArr为保存了已经选择了的职位
var PositionSelectedArr=new Array();
//下面是根据PositionArr显示职位选择框的函数
function DisplaySelectByPositionArr(SelectName,Size,IsMult,SelectWidth,HaveSpace){
 //IsMult：是否多选,HaveSpace:前面后空的选择
 var A="";
 A=A+"<Select Name=\""+SelectName+"\" Size="+Size+" style=\"width:"+SelectWidth+";\"";
 if(IsMult==1){
  A=A+" multiple";
 }
 A=A+">";
 if(HaveSpace==1){
  A=A+"<option value=\"\"></option>";
 }
 var i;
 for(i in PositionArr){
  A=A+"<option value=\""+PositionArr[i]+"\""+InPositionSelectedArr(PositionArr[i])+">"+"■"+PositionArr[i]+"</option>";
 }
 A=A+"</Select>";
 return A;
}
///////////////////////////////////////////////////////
//下面的函数是当SelectValue在PositionSelectedArr中存在时，返回" selected",否则返回""
function InPositionSelectedArr(SelectValue){
 var i;
 for(i in PositionSelectedArr){
  if(SelectValue==PositionSelectedArr[i]){
   return " selected";
  }
 }
 return "";
}
////////////////////////////////////////////////////////
//把被选的职位(用,分开的字符串)加到数组PositionSelectedArr中
function AdjustPositionSelectedArr(PositionStr){
 PositionSelectedArr=new Array();
 var S=PositionStr.split(",");
 var i;
 for(i in S){
  if(S[i]!=""){
   PositionSelectedArr.push(S[i]);
  }
 }
}
//////////////////////////////////////////////////////////
//把职位选择框中的职位连成串
function GetPositionStr(FormName,SelectName){
 var SelectOB=eval(FormName+"."+SelectName);
 var A="";
 var optionlen=SelectOB.options.length;
 for(var i=optionlen-1;i>=0;--i){
  if(SelectOB.options(i).selected&SelectOB.options(i).value!=""){
   if(A==""){
    A=SelectOB.options(i).value;
   }else{
    A=A+","+SelectOB.options(i).value;
   }
  }
 }
 return A;
}
///////////////////////////////////////////////////
//下面是把被选的值返回给父窗口的函数
function ToParentWin(FormNameParent,InputNameParent,FormNameLoc,SelectNameLoc){
 if(FormNameParent==""){
  var ParentInputOB=eval("opener."+InputNameParent);
 }else{
  var ParentInputOB=eval("opener."+FormNameParent+"."+InputNameParent);
 }
 ParentInputOB.value=GetPositionStr(FormNameLoc,SelectNameLoc);
}
